<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace conf; 

if(!defined('RS-MINI')) die();

/*
 * config v 1.0
 * 
 * класс с настройками движка
 *
 */

class config
{
   /*
    * массив с настройками базы данных
    *
    * @var    - array
    * @access - private
    */
    
    private static $db = array();
    
    /*
     * установка настроек движка
     * 
     * @access - public
     */
    
    public static function setConfig()
    {
        define('CMS',               'RS-MINI');  // имя движка
        define('VERSION',           '0.0.1');    // версия движка
        
        self::$db = array(
            'server'  => 'localhost',
            'user'    => 'root',
            'pass'    => '123456',
            'name'    => 'rs_mini'
        );                                       // настройки базы
    }
    
    /*
     * метод получае настройку базы данных
     * 
     * @access - public
     * @return - настройка
     *
     * @param string param - ключ в массиве настроек
     */
    
    public static function getDB($param)
    {
        return (isset(self::$db[$param])) ? self::$db[$param] : FALSE;
    }
}

